Skip to main content

Documentation Index

Fetch the complete documentation index at: https://polynode.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns all wallets that hold or have held positions in a specific outcome token.

Request

GET /v3/markets/{token_id}/positions

Query parameters

ParameterTypeDefaultDescription
sortstringpnlSort by: pnl, amount, volume
limitinteger100Max 1000
offsetinteger0Pagination offset

Example

curl https://api.polynode.dev/v3/markets/75783394880030392863380883800697645018418815910449662777195626260206142035810/positions?limit=1
{
  "columns": ["user", "amount", "avg_price", "realized_pnl", "total_bought"],
  "rows": [
    [
      "0x2aa772c631e9e3732c541cb13b5119004cb0003f",
      "5266",
      "520000",
      "95998727",
      "400000000"
    ]
  ],
  "rows_returned": 1,
  "has_more": true,
  "elapsed_ms": 20
}

Response columns

ColumnTypeDescription
userstringWallet address
amountstringCurrent shares held (6-decimal)
avg_pricestringWeighted-average entry price (6-decimal)
realized_pnlstringRealized P&L (6-decimal USDC)
total_boughtstringTotal volume bought (6-decimal USDC)